## EmpathyMessage EmpathyMessage |

## Synopsis

                        EmpathyMessage;
    EmpathyMessage*     empathy_message_new                 (const gchar *body);
    TpChannelTextMessageType empathy_message_get_tptype     (EmpathyMessage *message);
    void                empathy_message_set_tptype          (EmpathyMessage *message,
                                                             TpChannelTextMessageType type);
    EmpathyContact*     empathy_message_get_sender          (EmpathyMessage *message);
    void                empathy_message_set_sender          (EmpathyMessage *message,
                                                             EmpathyContact *contact);
    EmpathyContact*     empathy_message_get_receiver        (EmpathyMessage *message);
    void                empathy_message_set_receiver        (EmpathyMessage *message,
                                                             EmpathyContact *contact);
    const gchar*        empathy_message_get_body            (EmpathyMessage *message);
    void                empathy_message_set_body            (EmpathyMessage *message,
                                                             const gchar *body);
    time_t              empathy_message_get_timestamp       (EmpathyMessage *message);
    void                empathy_message_set_timestamp       (EmpathyMessage *message,
                                                             time_t timestamp);
    GDate*              empathy_message_get_date_and_time   (EmpathyMessage *message,
                                                             time_t *timestamp);
    gboolean            empathy_message_should_highlight    (EmpathyMessage *message);
    TpChannelTextMessageType empathy_message_type_from_str  (const gchar *type_str);
    const gchar*        empathy_message_type_to_str         (TpChannelTextMessageType type);

## Object Hierarchy

      GObject
       +----EmpathyMessage

## Properties

      "body"                     gchar*                : Read / Write
      "receiver"                 EmpathyContact*       : Read / Write
      "sender"                   EmpathyContact*       : Read / Write
      "timestamp"                glong                 : Read / Write
      "type"                     guint                 : Read / Write

## Description

## Details

### EmpathyMessage

    typedef struct _EmpathyMessage EmpathyMessage;

### empathy_message_new ()

    EmpathyMessage*     empathy_message_new                 (const gchar *body);

`body` : |
Returns : |

### empathy_message_get_tptype ()

    TpChannelTextMessageType empathy_message_get_tptype     (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_tptype ()

    void                empathy_message_set_tptype          (EmpathyMessage *message,
                                                             TpChannelTextMessageType type);

`message` : |
`type` : |

### empathy_message_get_sender ()

    EmpathyContact*     empathy_message_get_sender          (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_sender ()

    void                empathy_message_set_sender          (EmpathyMessage *message,
                                                             EmpathyContact *contact);

`message` : |
`contact` : |

### empathy_message_get_receiver ()

    EmpathyContact*     empathy_message_get_receiver        (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_receiver ()

    void                empathy_message_set_receiver        (EmpathyMessage *message,
                                                             EmpathyContact *contact);

`message` : |
`contact` : |

### empathy_message_get_body ()

    const gchar*        empathy_message_get_body            (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_body ()

    void                empathy_message_set_body            (EmpathyMessage *message,
                                                             const gchar *body);

`message` : |
`body` : |

### empathy_message_get_timestamp ()

    time_t              empathy_message_get_timestamp       (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_set_timestamp ()

    void                empathy_message_set_timestamp       (EmpathyMessage *message,
                                                             time_t timestamp);

`message` : |
`timestamp` : |

### empathy_message_get_date_and_time ()

    GDate*              empathy_message_get_date_and_time   (EmpathyMessage *message,
                                                             time_t *timestamp);

`message` : |
`timestamp` : |
Returns : |

### empathy_message_should_highlight ()

    gboolean            empathy_message_should_highlight    (EmpathyMessage *message);

`message` : |
Returns : |

### empathy_message_type_from_str ()

    TpChannelTextMessageType empathy_message_type_from_str  (const gchar *type_str);

`type_str` : |
Returns : |

### empathy_message_type_to_str ()

    const gchar*        empathy_message_type_to_str         (TpChannelTextMessageType type);

`type` : |
Returns : |

## Property Details

### The `"body"` property

      "body"                     gchar*                : Read / Write

The content of the message.

Default value: NULL

### The `"receiver"` property

      "receiver"                 EmpathyContact*       : Read / Write

The receiver of the message.

### The `"sender"` property

      "sender"                   EmpathyContact*       : Read / Write

The sender of the message.

### The `"timestamp"` property

      "timestamp"                glong                 : Read / Write

timestamp.

Allowed values: >= -1

Default value: -1

### The `"type"` property

      "type"                     guint                 : Read / Write

The type of message.

Allowed values: <= 3

Default value: 0